Broken links on doc page for DST Root CA X3 Expiration

There are several links that are broken on the source page that led to this support thread.

Specifically, the list of platforms that trust ISRG Root X1

4 Likes

I just clicked that link above to see if the compatibility list was updated recently. that page links to https://letsencrypt.org/docs/dst-root-ca-x3-expiration-september-2021/compatibility, which is currently a 404.

3 Likes

I guess it should bei

3 Likes

Thanks for spotting that! I've merged a fix for /compatibility, which should be live shortly. What were the other broken links?

2 Likes

Ok, weird. I could have sworn there was another one, but there doesn't appear to be. Thanks for fixing the compatibility list. It was important info for trying to figure out why our server couldn't send out SMTP emails.

5 Likes

I love it when people point out broken links and they get fixed quickly. Good job everyone.

2 Likes

I just reread @saebel's post, and realized I originally read it wrong. :astonished:

I posted above because I thought they were noting an error in a page linking TO that page, not FROM that page. Sorry for repeating exactly what they said. My bad!

2 Likes

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.